Manual do PHP
Anterior |  | Próxima

# DOMText->__construct()

(no version information, might be only in CVS)

DOMText->__construct() -- Creates a new DOMText object

## Descrição

class DOMText {
__construct ( [string value] )
}

Creates a new DOMText object.

## Parâmetros

`value`

  The value of the text node. If not supplied an empty text node is created.

## Exemplos

Exemplo 1. Creating a new DOMText
`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $text = $element->appendChild(new DOMText('root value')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>root value</root> */ ?>`

## Veja também

DOMDocument->createTextNode()

Anterior | Principal | Próxima
DOMProcessingInstruction->__construct() | Acima | DOMText->isWhitespaceInElementContent()